%global _install_langs all

Summary:	Desktop common files
Name:		desktop-common-data
Version:	3.6
Release: 	%mkrel 1
Epoch:          1
License:	GPL
URL:		http://www.mageia.org
Group:		System/Configuration

# To generate a tarball from trunk, run ./SOURCES/gettarball
Source0:	%{name}-%{version}.tar.xz
Source1:        gettarball

BuildRequires:	intltool
BuildRequires:  gettext
BuildRequires:  libxml2-utils
BuildArch:	noarch
Provides:	menu = 2.1.24
Requires:	menu-messages 
Requires:	xdg-utils
Requires:	xdg-user-dirs
Requires:	run-parts
Requires(post):	hicolor-icon-theme
Requires:	hicolor-icon-theme

%description
This package contains useful icons, menu structure and others goodies for the
%_vendor desktop.

%prep
%setup -q

# fix .po files - temporarely?
for file in po/*.po; do
    sed -i "s|charset=CHARSET|charset=UTF-8|gi" $file
done

%build
make

%install
## Install backgrounds
# User & root's backgrounds
install -d -m 0755 %buildroot/%_datadir/mga/backgrounds/
#install -m 0644 backgrounds/flower.jpg %buildroot/%_datadir/mga/backgrounds/
#install -m 0644 backgrounds/nature.jpg %buildroot/%_datadir/mga/backgrounds/

# XFdrake test card
install -d -m 0755 %buildroot/%_datadir/mga/xfdrake/
install -m 0644 backgrounds/xfdrake-test-card.png %buildroot/%_datadir/mga/xfdrake/xfdrake-test-card.png



## Install scripts
# /usr/bin/
install -d -m 0755 %buildroot/%_bindir/
for i in bin/*.sh ; do install -m 0755 $i %buildroot/%_bindir/ ; done
install -m 0755 bin/www-browser %buildroot/%_bindir/
install -m 0755 bin/xvt %buildroot/%_bindir/
install -m 0755 bin/editor %buildroot/%_bindir/

# /usr/sbin/
install -d -m 0755 %buildroot/%_sbindir/
for i in sbin/* ; do install -m 0755 $i %buildroot/%_sbindir/ ; done

# /etc/X11/xinit.d/
install -d -m 0755 %buildroot/%_sysconfdir/X11/xinit.d/
for i in xinit.d/* ; do install -m 0755 $i %buildroot/%_sysconfdir/X11/xinit.d/ ; done


## Install faces
install -d -m 0755 %buildroot/%_datadir/mga/faces/
install -d -m 0755 %buildroot/%_datadir/faces/
for i in faces/*.png ; do install -m 0644 $i %buildroot/%_datadir/mga/faces/ ; done
		
install -m 0644 faces/default.png %buildroot/%_datadir/faces/default.png

install -m 0644 faces/default.png %buildroot/%_datadir/faces/user-default-mga.png



## KDE
# kdm
install -d -m 0755 %buildroot/%_datadir/apps/kdm/pics/



## icons
install -d -m 0755 %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 0644 menu/icons/*.png %buildroot/%_iconsdir
install -m 0644 menu/icons/large/*.png %buildroot/%_liconsdir
install -m 0644 menu/icons/mini/*.png %buildroot/%_miconsdir
cp -r menu/icons/hicolor  %buildroot/%_datadir/icons/

# XDG menus
install -d -m 0755 %buildroot/%_sysconfdir/xdg/autostart
install -d -m 0755 %buildroot/%_sysconfdir/xdg/menus/applications-merged 
install -d -m 0755 %buildroot/%_sysconfdir/menu.d %buildroot/%_sysconfdir/profile.d
install -m 0644 applications.menu %buildroot/%_sysconfdir/xdg/menus/applications.menu
install -m 0644 kde-applications.menu %buildroot/%_sysconfdir/xdg/menus/kde-applications.menu
install -m 0755 menu/xdg_menu %buildroot/%_bindir
install -m 0755 menu/update-menus %buildroot/%_bindir/update-menus
install -m 0644 menu/menustyle.csh %buildroot/%_sysconfdir/profile.d/30menustyle.csh
install -m 0644 menu/menustyle.sh  %buildroot/%_sysconfdir/profile.d/30menustyle.sh

# update-menus rpm filetrigger
install -d -m 0755 %buildroot%{_var}/lib/rpm/filetriggers
install -m 0644 menu/update-menus.filter %buildroot%{_var}/lib/rpm/filetriggers
install -m 0755 menu/update-menus.script %buildroot%{_var}/lib/rpm/filetriggers
install -m 0644 menu/make-session.filter %buildroot%{_var}/lib/rpm/filetriggers
install -m 0755 menu/make-session.script %buildroot%{_var}/lib/rpm/filetriggers

if [ "%_install_langs" != "all" ]; then
 echo ERROR : rpm macro %%_install_langs is not set to \"all\", causing some translations to not be available on your build system and therefore preventing building this package. Add \"%%_install_langs all\" to /etc/rpm/macros and force a reinstall of menu-messages package to ensure all translations are installed on this system before rebuilding this package
 return 1
fi

install -d -m 0755 %buildroot/%_datadir/desktop-directories

install -d -m 0755 %buildroot/%_var/lib/menu
 
for i in menu/desktop-directories/*.in ; do
 %{_bindir}/intltool-merge --desktop-style po $i %buildroot/%_datadir/desktop-directories/`basename $i .in` 2>&1 | grep -q "Odd number of elements in hash assignment" && echo "menu message po broken (see bug #25895), aborting " && exit 1
done

for PRODUCT in default ; do 
  install -d -m 0755 %buildroot/%_datadir/dist/desktop-files/$PRODUCT
  for i in desktop/$PRODUCT/*.in ; do
    %{_bindir}/intltool-merge --desktop-style po $i %buildroot/%_datadir/dist/desktop-files/$PRODUCT/`basename $i .in` 
  done
done


#install theme for GDM/KDM
install -d -m 0755 %buildroot/%_datadir/mga/dm
for i in dm/*.png dm/*.desktop dm/*.xml ; do 
  install -m 0644 $i %buildroot/%_datadir/mga/dm/
done

# install bookmarks
install -d -m 0755 %buildroot%_datadir/mga/bookmarks/konqueror
for i in bookmarks/konqueror/*.xml ; do 
  install -m 0644 $i %buildroot%_datadir/mga/bookmarks/konqueror
done

install -d -m 0755 %buildroot%_datadir/mga/bookmarks/mozilla
for i in bookmarks/mozilla/*.html ; do 
  install -m 0644 $i %buildroot%_datadir/mga/bookmarks/mozilla
done

# install sound samples
# Enable back if we add sounds later
#install -d -m 0755 %buildroot%_datadir/sounds
#for i in sounds/ia_ora*.wav ; do
# install -m 0644 $i %buildroot%_datadir/sounds
#done
#install sound theme Ia Ora
#install -d -m 0755 %buildroot%_datadir/sounds/ia_ora/stereo
#install -m 0644 sounds/index.theme %buildroot%_datadir/sounds/ia_ora
#ln -s ../../ia_ora-startup.wav %buildroot%_datadir/sounds/ia_ora/stereo/desktop-login.wav
#ln -s ../../ia_ora-shutdown.wav %buildroot%_datadir/sounds/ia_ora/stereo/desktop-logout.wav
#ln -s ../../ia_ora-error.wav %buildroot%_datadir/sounds/ia_ora/stereo/dialog-error.wav
#ln -s ../../ia_ora-notification.wav %buildroot%_datadir/sounds/ia_ora/stereo/dialog-warning.wav
#touch  %buildroot%_datadir/sounds/ia_ora/stereo/dialog.disabled
#touch  %buildroot%_datadir/sounds/ia_ora/stereo/power.disabled
#touch  %buildroot%_datadir/sounds/ia_ora/stereo/battery.disabled
#touch  %buildroot%_datadir/sounds/ia_ora/stereo/suspend.disabled
#touch  %buildroot%_datadir/sounds/ia_ora/stereo/screen-capture.disabled
#touch  %buildroot%_datadir/sounds/ia_ora/stereo/service.disabled
#touch  %buildroot%_datadir/sounds/ia_ora/stereo/system.disabled
#touch  %buildroot%_datadir/sounds/ia_ora/stereo/desktop.disabled
#touch  %buildroot%_datadir/sounds/ia_ora/stereo/device.disabled
#touch  %buildroot%_datadir/sounds/ia_ora/stereo/bell.disabled
#touch  %buildroot%_datadir/sounds/ia_ora/stereo/message-new-email.disabled
#touch  %buildroot%_datadir/sounds/ia_ora/stereo/trash-empty.disabled


%post
if [ -f %_sysconfdir/X11/window-managers.rpmsave ];then
	%_sbindir/convertsession -f %_sysconfdir/X11/window-managers.rpmsave || :
fi

%{_sbindir}/fndSession
update-menus

# (cg) See sound-theme-freedesktop for explanation about touch.
#touch --no-create %_datadir/sounds %_datadir/sounds/ia_ora

%postun
# (cg) See sound-theme-freedesktop for explanation about touch.
#touch --no-create %_datadir/sounds %_datadir/sounds/ia_ora

%files
%_bindir/*
#
%_sbindir/*

%_sysconfdir/X11/xinit.d/*
%_sysconfdir/profile.d/*
%dir %_sysconfdir/menu.d
%dir %_sysconfdir/xdg
%dir %_sysconfdir/xdg/menus
%dir %_sysconfdir/xdg/menus/applications-merged
%config(noreplace) %_sysconfdir/xdg/menus/*.menu
%dir %_var/lib/menu
%{_var}/lib/rpm/filetriggers/update-menus.*
%{_var}/lib/rpm/filetriggers/make-session.*

#
%dir %_datadir/faces/
%dir %_datadir/mga/
%dir %_datadir/mga/faces/
%_datadir/faces/*
%_datadir/mga/faces/*
#
#%dir %_datadir/mga/backgrounds/
#%_datadir/mga/backgrounds/*.jpg

%dir %_datadir/mga/bookmarks
%dir %_datadir/mga/bookmarks/konqueror
%_datadir/mga/bookmarks/konqueror/*.xml
%dir %_datadir/mga/bookmarks/mozilla
%_datadir/mga/bookmarks/mozilla/*.html
#
#%dir %_datadir/apps/kdm/pics/
#%_datadir/apps/kdm/pics/*
#
%dir %_datadir/mga/xfdrake/
%_datadir/mga/xfdrake/*.png
#

#%_datadir/sounds/*.wav
#%_datadir/sounds/ia_ora

%_datadir/mga/dm

%dir %_datadir/dist/desktop-files
%dir %_datadir/dist/desktop-files/default
%attr(0755,root,root) %_datadir/dist/desktop-files/*/*
#
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_iconsdir/hicolor/*/*/*.png

%_datadir/desktop-directories/*.directory


%changelog
* Mon Feb 17 2014 malo <malo> 1:3.6-1.mga4
+ Revision: 593955
- version 3.6 (mga#12667)

* Sat Oct 19 2013 umeabot <umeabot> 1:3.5-2.mga4
+ Revision: 533038
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 wally <wally> 1:3.5-1.mga4
+ Revision: 470909
- new version 3.5

* Mon Jun 24 2013 wally <wally> 1:3.4-1.mga4
+ Revision: 446280
- new version 3.4

  + luigiwalser <luigiwalser>
    - Version 3.3

  + boklm <boklm>
    - Version 3.2

* Sat Mar 02 2013 boklm <boklm> 1:3.1-1.mga3
+ Revision: 401031
- Version 3.1

* Fri Mar 01 2013 malo <malo> 1:2-15.mga3
+ Revision: 400751
- fix chemistry icon

* Fri Mar 01 2013 malo <malo> 1:2-14.mga3
+ Revision: 400745
- update a few default icons (source: oxygen theme)

* Tue Jan 22 2013 malo <malo> 1:2-13.mga3
+ Revision: 391003
- add a few missing icons

* Mon Jan 21 2013 malo <malo> 1:2-12.mga3
+ Revision: 390529
- add new icons for new RPM groups
- update RPM group

* Fri Jan 11 2013 umeabot <umeabot> 1:2-11.mga3
+ Revision: 348725
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 10 2012 dams <dams> 1:2-10.mga2
+ Revision: 235078
- replace 'xte' inside script
- rename 'xte' to fix upgrade conflict

* Thu May 03 2012 dams <dams> 1:2-9.mga2
+ Revision: 234623
- add 'xte' script to find text editor
- add 'chromium-browser' to 'www-browser'

* Mon Apr 16 2012 ennael <ennael> 1:2-7.mga2
+ Revision: 231033
- fix fr translation for community icon

* Wed Mar 14 2012 ennael <ennael> 1:2-6.mga2
+ Revision: 223358
- update translations

* Fri Mar 09 2012 ennael <ennael> 1:2-5.mga2
+ Revision: 222127
- update menu icons

* Tue Feb 28 2012 kamil <kamil> 1:2-4.mga2
+ Revision: 215819
- new release 1:2-4
- add terminator to xvt (mga#4619)
- use %%global _install_langs all to be sure to install all locales
- change (in .spec) charset in effected .po files, replace CHARSET with UTF-8

* Wed Jan 18 2012 obgr_seneca <obgr_seneca> 1:2-3.mga2
+ Revision: 197790
- replaced icons for graphics-section and mathematics-section
- fix bug #107 about wrong icon for graphics-section

* Fri Jan 06 2012 fwang <fwang> 1:2-2.mga2
+ Revision: 192560
- new tarball
- do not hardlink distro logo as it has already been installed
  use shipped po files to generating directory files
  clean up spec

* Mon Dec 05 2011 anssi <anssi> 1:2-1.mga2
+ Revision: 176768
- applications.menu and kde-applications.menu:
  o remove some superfluous entries from applications.menu that have no
    effect
  o show applications with native desktop but non-native toolkit in
    Tools->System Tools, for consistency with other menus
  o add support for X-Mageia-CrossDesktop (bug #2449)
  o show applications with category System in Tools->More if not shown
    elsewhere (fixes e.g. avahi-discover in KDE)
  o unhide some applications with GNOME category (fixes e.g. gconf-editor
    which previously didn't appear in any desktop, and GParted which was
    missing in KDE)
  o drop "Other" (note: these were not "More") submenus from Education and
    Science menus, instead show those applications in the main Education
    and Science menus (see bug #1633)
  o do not show duplicate applications between Education and Science
    (bug #1633)
  o use inlining for submenus of Education and Science if supported by the
    menu implementation when there is only a single entry in the submenu
    (currently supported by GNOME, not by KDE menu applets)
  o show submenus before menu entries (except for More) by default; this
    should mostly affect Education, Science, Wine, and custom menus only
- chksession:
  o add support for generic --generate=DIR and --wrap-sessions in addition
    to the already-existing -k, -K, -g options (bug #2740)
- update-menus.filter:
  o automatically run update-menus when a desktop requiring update-menus
    gets installed/upgraded/removed
- run fndSession and update-menus in post of desktop-common-data so that
  any changes in those get live and in case that the packages that need
  their services were installed before desktop-common-data and therefore
  filetriggers weren't triggered (the previously used %%make_session is
  nowadays an empty macro)

* Thu Nov 17 2011 dmorgan <dmorgan> 1:2-0.1.mga2
+ Revision: 168370
- remove Mandriva link for Mageia wiki (bug #3199)

  + misc <misc>
    - fix unowned directory

* Mon May 30 2011 ennael <ennael> 1:1-12.mga1
+ Revision: 100781
- fix contribution link

* Thu May 26 2011 blino <blino> 1:1-11.mga1
+ Revision: 100402
- install default desktop file in /usr/share/dist/desktop-files/<product>/

* Sun May 15 2011 pterjan <pterjan> 1:1-10.mga1
+ Revision: 98973
- Rebuild for fixed find-requires

* Fri Apr 29 2011 ahmad <ahmad> 1:1-9.mga1
+ Revision: 93343
- Update mageia.png icons (use the same icon as register-mga.png)
  (ACK'ed by rda)

* Tue Apr 19 2011 ennael <ennael> 1:1-8.mga1
+ Revision: 88124
- fix products
- fix icons for register-mga

* Fri Apr 01 2011 blino <blino> 1:1-7.mga1
+ Revision: 79377
- install distro icon in hicolor theme

* Fri Mar 18 2011 dmorgan <dmorgan> 1:1-6.mga1
+ Revision: 74275
- Fix drakconf location on menu

* Sun Mar 06 2011 dmorgan <dmorgan> 1:1-4.mga1
+ Revision: 65188
- Fix menu location of libreoffice

  + mikala <mikala>
    - Fix URL

* Wed Feb 09 2011 ennael <ennael> 1:1-3.mga1
+ Revision: 49349
+ rebuild (emptylog)

* Wed Feb 09 2011 pterjan <pterjan> 1:1-2.mga1
+ Revision: 49343
- Add Epoch

* Thu Feb 03 2011 dmorgan <dmorgan> 0:1-1.mga1
+ Revision: 46710
- Add Mageia tarball
- Remove mdv macros

  + ennael <ennael>
    - remove mdkversion
    - imported package desktop-common-data

